Bug 10721 - Improve DataTables configuration on transfers to receive report
Summary: Improve DataTables configuration on transfers to receive report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL: /cgi-bin/koha/circ/transferstoreceive.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-13 18:48 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10721 - Improve DataTables configuration on transfers to receive report (3.97 KB, patch)
2013-08-13 18:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10721 - Improve DataTables configuration on transfers to receive report (3.99 KB, patch)
2013-08-21 08:15 UTC, David Cook
Details | Diff | Splinter Review
[PASSED QA] Bug 10721 - Improve DataTables configuration on transfers to receive report (4.12 KB, patch)
2013-09-07 20:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-08-13 18:48:52 UTC
The transfers to receive report could take advantage of the new sorting configuration options which allow format-agnostic date sorting and title sorting which excludes articles.
Comment 1 Owen Leonard 2013-08-13 18:58:19 UTC Comment hidden (obsolete)
Comment 2 David Cook 2013-08-21 08:15:26 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-09-07 20:19:24 UTC
Created attachment 20862 [details] [review]
[PASSED QA] Bug 10721 - Improve DataTables configuration on transfers to receive report

I noticed this template used a hidden span to allow correct sorting of
titles--a relic of the previous table sorting plugin. I have removed
that and added an improved DataTables configuration.

To test apply the patch and view the transfers to receive report for a
library which has multiple transfers to receive. Sorting should work
correctly on all columns, including correct date sorting regardless of
dateformat system preference. Title sorting should correctly exclude
articles.

Signed-off-by: David Cook <dcook@prosentient.com.au>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and works nicely.
Tested with different date formats.
Comment 4 Galen Charlton 2013-09-07 21:05:39 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-10-08 14:14:04 UTC
This patch has been pushed to 3.12.x, will be in 3.12.6.

Thanks Owen!